Package org.apache.tools.ant.taskdefs

# Class PumpStreamHandler.ThreadWithPumper

java.lang.Object
java.lang.Thread
org.apache.tools.ant.taskdefs.PumpStreamHandler.ThreadWithPumper

All Implemented Interfaces:
  `Runnable`

Enclosing class:
  `PumpStreamHandler`

protected static class PumpStreamHandler.ThreadWithPumper extends Thread
Specialized subclass that allows access to the running StreamPumper.

Since:
  Ant 1.8.0

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.Builder, Thread.State, Thread.UncaughtExceptionHandler`

## Field Summary

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor
Description
`ThreadWithPumper(StreamPumper p)`

## Method Summary

Modifier and Type
Method
Description
`protected StreamPumper`
`getPumper()`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, isVirtual, join, join, join, join, ofPlatform, ofVirtual, onSpinWait, resume, run, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, sleep, start, startVirtualThread, stop, suspend, threadId, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ThreadWithPumper

public ThreadWithPumper(StreamPumper p)

## Method Details

### getPumper

protected StreamPumper getPumper()